import request from '@/utils/request'
//获取列表
export function getInfo(data) {
  return request({
    url: '/printbill/queryBreedTasksToSchedule',
    method: 'post',
    params: data
  })
}
//增加
export function addInfo(data) {
  return request({
    url: '/printbill/addCompanyInfo',
    method: 'post',
    params: data
  })
}

//通id获取详情
export function getInfoById(data) {
  return request({
    url: '/printbill/getCompanyInfo',
    method: 'post',
    params: data
  })
}



//修改
export function updateInfo(data) {
  return request({
    url: '/printbill/updateCompanyInfo',
    method: 'post',
    params: data
  })
}
//增加

//前台获取机台信息
export function getAllEnableMachineInfo(data) {
  return request({
    url: '/doc/getAllEnableMachineInfo',
    method: 'post',
    params: data
  })
}

//获取机台状态
export function calcAllMachineTaskCollection(data) {
  return request({
    url: '/printbill/calcAllMachineTaskCollection',
    method: 'post',
    params: data
  })
}

//把任务分配到机台
export function scheduleBreedTask(data) {
  return request({
    url: '/printbill/scheduleBreedTask',
    method: 'post',
    params: data
  })
}

//退回机台任务(版工序)
export function backBreedTask(data) {
  return request({
    url: '/printbill/backBreedTask',
    method: 'post',
    params: data
  })
}

//调整机台任务顺序(版工序)
export function sortBreedTask(data) {
  return request({
    url: '/printbill/sortBreedTask',
    method: 'post',
    data: data
  })
}
//退回到待审核
export function backPrintBill(data) {
  return request({
    url: '/printbill/backPrintBill',
    method: 'post',
    params: data
  })
}

//获取版上的配套4工序
export function queryAssorted(data) {
  return request({
    url: '/printbill/queryPrintBillTasksAssorted',
    method: 'post',
    params: data
  })
}


//获取退回反馈设置
export function queryPrintBreedTasksAssorted(data) {
  return request({
    url: '/printbill/queryPrintBreedTasksAssorted',
    method: 'post',
    params: data
  })
}
//搜索机台
export function findMachineByKeyWord(data) {
  return request({
    url: '/printbill/findMachineByKeyWord',
    method: 'post',
    params: data
  })
}


